Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Transaction Search


Using the Transaction Search API, you can search for transactions that meet specific criteria. A transaction search is created by sending a POST request containing the search definition, including the search name, time zone, query parameters, sort order, and pagination settings. The response includes a unique search ID that can be used to retrieve the saved search later.


Send a POST Request

Send a POST request and include these required fields:

  • query
  • sort

POST /tss/v2/searches

POST /tss/v2/searches

POST /tss/v2/searches

Include Optional Fields

These optional fields are also supported:

  • save
  • name
  • timezone
  • offset

For a list of supported time zones, see Supported Time Zones.

Filter Transactions

Set the query field to filter which transactions are returned. Use one of these approaches:

Example

{  "save": true,  "name": "Search by Code",  "timezone": "America/Denver",  "query": "clientReferenceInformation.code:123456",  "offset": "0",  "limit": "100",  "sort": "submitTimeUtc:desc"}

To retrieve a saved transaction search, your client application must send an HTTPS GET request to the server using this URL format:

GET https://<url_prefix>/tss/v2/searches/{searchID}

The URL includes these parameters:

ValueDescription
<url_prefix>Name of the server from which to download the report. Use one of these values: Production: api.cybersource.com; Test: apitest.cybersource.com
searchIDThe ID returned in the search request response.

Responses

This call can return one of these HTTP status codes:

  • 200: successful response.
  • 404: the specified resource is not found in the system.
  • 500: unexpected server error.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.